Package twisted :: Package names :: Module tap :: Class Options

[show private | hide private]
[frames | no frames]

## Class Options

    UserDict --+
               |
         Options --+
                   |
                  Options

Method Summary
| `__init__(self)`
| `__cmp__(self, dict)` (inherited from `UserDict`)
| `__delitem__(self, key)` (inherited from `UserDict`)
| ``__getattr__`(self, attr)` I make sure that old style 'optObj.option' access still works. (inherited from `Options`)
| `__getitem__(self, key)` (inherited from `UserDict`)
| `__hash__(self)` (inherited from `Options`)
| `__len__(self)` (inherited from `UserDict`)
| `__repr__(self)` (inherited from `UserDict`)
| `__setitem__(self, key, item)` (inherited from `UserDict`)
| `__str__(self, width)` (inherited from `Options`)
| `clear(self)` (inherited from `UserDict`)
| `copy(self)` (inherited from `UserDict`)
| `get(self, key, failobj)` (inherited from `UserDict`)
| `has_key(self, key)` (inherited from `UserDict`)
| `items(self)` (inherited from `UserDict`)
| `keys(self)` (inherited from `UserDict`)
| ``opt_bindzone`(self, filename)` Specify the filename of a BIND9 syntax zone definition
| ``opt_help`(self)` Display this help and exit. (inherited from `Options`)
| ``opt_pyzone`(self, filename)` Specify the filename of a Python syntax zone definition
| ``opt_verbose`(self)` Increment verbosity level
| `opt_version(self)` (inherited from `Options`)
| ``parseArgs`(self)` I am called with any leftover arguments which were not options. (inherited from `Options`)
| ``parseOptions`(self, options)` The guts of the command-line parser. (inherited from `Options`)
| `popitem(self)` (inherited from `UserDict`)
| ``postOptions`(self)` I am called after the options are parsed.
| `setdefault(self, key, failobj)` (inherited from `UserDict`)
| `update(self, dict)` (inherited from `UserDict`)
| `values(self)` (inherited from `UserDict`)
| ``_gather_flags`(self)` Gather up boolean (flag) options. (inherited from `Options`)
| ``_gather_handlers`(self)` Gather up options with their own handler methods. (inherited from `Options`)
| ``_gather_parameters`(self)` Gather options which take a value. (inherited from `Options`)
| `_generic_flag(self, flagName, value)` (inherited from `Options`)
| `_generic_parameter(self, parameterName, value)` (inherited from `Options`)

Class Variable Summary
`list` | `optFlags`
`list` | `optParameters`
`None` | `zonefiles`
`None` | `zones`

Method Details

### opt_bindzone(self, filename)

Specify the filename of a BIND9 syntax zone definition

### opt_pyzone(self, filename)

Specify the filename of a Python syntax zone definition

### opt_verbose(self)

Increment verbosity level

### postOptions(self)

I am called after the options are parsed.

Override this method in your subclass to do something after the options have been parsed and assigned, like validate that all options are sane.

  Overrides:
    `twisted.python.usage.Options.postOptions` (inherited documentation)

Class Variable Details

### optFlags

  Type:
    `list`
  Value:

        [['cache', 'c', 'Enable record caching'],
         ['recursive', 'r', 'Perform recursive lookups'],
         ['verbose', 'v', 'Log verbosely']]

### optParameters

  Type:
    `list`
  Value:

        [['interface', 'i', '', 'The interface to which to bind'],
         ['port', 'p', '53', 'The port on which to listen']]

### zonefiles

  Type:
    `None`
  Value:

        None

### zones

  Type:
    `None`
  Value:

        None

Generated by Epydoc 1.1 on Sat Feb 15 21:19:09 2003 | http://epydoc.sf.net